Skip to main content
GET
List alert trigger events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string
required

Alert the trigger belongs to.

trigger_id
string
required

Trigger whose events to list.

Query Parameters

limit
integer<int32>

Page size, 1-200. Unset uses the server default (25).

starting_after
string

Cursor for forward pagination. Set to the event_id of the last item from the previous page.

ending_before
string

Cursor for backward pagination. Set to the event_id of the first item from the previous page.

Response

200 - application/json

OK

object
string
required

Object discriminator for list responses; always list.

data
object[]
required

Page of events, ordered newest first.

has_more
boolean
required

Whether more events are available in the selected pagination direction.